GOG.com - Stronghold Crusader HD

Informations

Creator Wiadmości
Hoshpak Anonymous

Warning

This installer is a beta script. It means that it might not work as expected

Informations

Platforms:
Downloads: 12864
Wine: 1.6.2

Feedbacks

Description

Stronghold: Crusader HD is the HD version of the successor to Firefly Studios's 2001 game Stronghold. The version sold by GOG.com contains Stronghold Crusader HD as well as Stronghold Crusader Extreme HD.

GOG now has installers for Mac

Source code

#!/bin/bash
# Date : (2014-08-19 18:32)
# Last Revision : (2014-11-16 22:01)
# Wine Version used : 1.6.2
# Distribution used to test : Debian testing/jessie
# Author: Hoshpak
#  - updated by petch
# Script license : GPL v2
# Programm license : Retail
# Depend :

[ -z "$PLAYONLINUX" ] && exit 0
source "$PLAYONLINUX/lib/sources"

GOGID="stronghold_crusader"
PREFIX="Stronghold_crusader_gog"
WORKING_WINE_VERSION="1.6.2"

TITLE="GOG.com - Stronghold Crusader HD"
SHORTCUT_NAME1="Stronghold Crusader HD"
SHORTCUT_NAME2="Stronghold Crusader Extreme HD"

POL_SetupWindow_Init
POL_SetupWindow_SetID 2231
POL_Debug_Init

POL_SetupWindow_presentation "$TITLE" "Firefly Studios" "http://www.gog.com/game/$GOGID" "Hoshpak" "$PREFIX"

POL_Call POL_GoG_setup "$GOGID" --alternate "setup_$GOGID" 1 "440291642e8e588cdb046c9f30878353"

POL_Wine_SelectPrefix "$PREFIX"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"

# fake sdbinst.exe
POL_Call POL_Install_nop "$WINEPREFIX/drive_c/windows/system32/sdbinst.exe"

POL_Call POL_GoG_install

# Needed for multiplayer
POL_Call POL_Install_directplay

Set_OS winxp

# Configure the shortcut
GOGPATH="$GOGROOT/Stronghold Crusader Extreme HD"
POL_Shortcut "Stronghold Crusader.exe" "$SHORTCUT_NAME1" "" "" "Game;StrategyGame;"
POL_Shortcut_Document "$SHORTCUT_NAME1" "$GOGPATH/manual/manual.pdf"
POL_Shortcut "Stronghold_Crusader_Extreme.exe" "$SHORTCUT_NAME2" "" "" "Game;StrategyGame;"
POL_Shortcut_Document "$SHORTCUT_NAME2" "$GOGPATH/manual/manual.pdf"

POL_SetupWindow_Close

for SHORTCUT in "$SHORTCUT_NAME1" "$SHORTCUT_NAME2"; do
cat <<_EOF_ > "$POL_USER_ROOT/configurations/configurators/$SHORTCUT"
#!/bin/bash
[ -z "\$PLAYONLINUX" ] && exit 0
source "\$PLAYONLINUX/lib/sources"
export WINEPREFIX="\$POL_USER_ROOT/wineprefix/$PREFIX"
export WINEDEBUG="-all"

POL_LoadVar_PROGRAMFILES
cd "\$WINEPREFIX/drive_c/GOG Games/Stronghold Crusader Extreme HD" || exit 1
TITLE="$TITLE"

POL_Wine "Language Setup.exe"

# Workaround, setup forgets to rename documentation files when French is selected
[ -e readme.html ] || ln -s readme_fr.html readme.html
[ -e manual/manual.pdf ] || ln -s manual_fr.pdf manual/manual.pdf

exit 0
_EOF_
done

# Run the configurator?
bash "$POL_USER_ROOT/configurations/configurators/$SHORTCUT_NAME1"

exit 0

Contributions

Filters:

Contribute
Member Wiadmości
petch Sunday 16 November 2014 at 22:19
petch
Developer

Information

This update has been approved by the team.

Wiadmości

    - Update download hash
    - Add SetID
    - Add sdbinst workaround
    - Replace language selection script code by game configurator

 

Differences

@@ -1,14 +1,15 @@
 #!/bin/bash
 # Date : (2014-08-19 18:32)
-# Last Revision : (2014-08-19 22:07)
+# Last Revision : (2014-11-16 22:01)
 # Wine Version used : 1.6.2
 # Distribution used to test : Debian testing/jessie
 # Author: Hoshpak
+#  - updated by petch
 # Script license : GPL v2
 # Programm license : Retail
 # Depend :
 
-[ "$PLAYONLINUX" = "" ] && exit 0
+[ -z "$PLAYONLINUX" ] && exit 0
 source "$PLAYONLINUX/lib/sources"
 
 GOGID="stronghold_crusader"
@@ -16,17 +17,23 @@
 WORKING_WINE_VERSION="1.6.2"
 
 TITLE="GOG.com - Stronghold Crusader HD"
+SHORTCUT_NAME1="Stronghold Crusader HD"
+SHORTCUT_NAME2="Stronghold Crusader Extreme HD"
 
 POL_SetupWindow_Init
+POL_SetupWindow_SetID 2231
 POL_Debug_Init
 
 POL_SetupWindow_presentation "$TITLE" "Firefly Studios" "http://www.gog.com/game/$GOGID" "Hoshpak" "$PREFIX"
 
-POL_Call POL_GoG_setup "$GOGID"
+POL_Call POL_GoG_setup "$GOGID" --alternate "setup_$GOGID" 1 "440291642e8e588cdb046c9f30878353"
 
 POL_Wine_SelectPrefix "$PREFIX"
 POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
 
+# fake sdbinst.exe
+POL_Call POL_Install_nop "$WINEPREFIX/drive_c/windows/system32/sdbinst.exe"
+
 POL_Call POL_GoG_install
 
 # Needed for multiplayer
@@ -34,15 +41,38 @@
 
 Set_OS winxp
 
-# Language selection for the manual shortcut
-POL_SetupWindow_menu "$(eval_gettext 'What is your preferred language?')" "$(eval_gettext 'Language')" "en: English~fr: French~de: German~it: Italian~es: Spanish~pl: Polish" "~"
-MAN_LANG=$(echo "${APP_ANSWER}" | cut -d ':' -f 1)
-
 # Configure the shortcut
 GOGPATH="$GOGROOT/Stronghold Crusader Extreme HD"
-POL_Shortcut "Stronghold Crusader.exe" "Stronghold Crusader HD" "" "" "Game;StrategyGame;"
-POL_Shortcut "Stronghold_Crusader_Extreme.exe" "Stronghold Crusader Extreme HD" "" "" "Game;StrategyGame;"
-POL_Shortcut_Document "Stronghold Crusader Extreme HD" "$GOGPATH/manual/manual_$MAN_LANG.pdf"
+POL_Shortcut "Stronghold Crusader.exe" "$SHORTCUT_NAME1" "" "" "Game;StrategyGame;"
+POL_Shortcut_Document "$SHORTCUT_NAME1" "$GOGPATH/manual/manual.pdf"
+POL_Shortcut "Stronghold_Crusader_Extreme.exe" "$SHORTCUT_NAME2" "" "" "Game;StrategyGame;"
+POL_Shortcut_Document "$SHORTCUT_NAME2" "$GOGPATH/manual/manual.pdf"
 
 POL_SetupWindow_Close
+
+for SHORTCUT in "$SHORTCUT_NAME1" "$SHORTCUT_NAME2"; do
+cat <<_EOF_ > "$POL_USER_ROOT/configurations/configurators/$SHORTCUT"
+#!/bin/bash
+[ -z "\$PLAYONLINUX" ] && exit 0
+source "\$PLAYONLINUX/lib/sources"
+export WINEPREFIX="\$POL_USER_ROOT/wineprefix/$PREFIX"
+export WINEDEBUG="-all"
+
+POL_LoadVar_PROGRAMFILES
+cd "\$WINEPREFIX/drive_c/GOG Games/Stronghold Crusader Extreme HD" || exit 1
+TITLE="$TITLE"
+
+POL_Wine "Language Setup.exe"
+
+# Workaround, setup forgets to rename documentation files when French is selected
+[ -e readme.html ] || ln -s readme_fr.html readme.html
+[ -e manual/manual.pdf ] || ln -s manual_fr.pdf manual/manual.pdf
+
+exit 0
+_EOF_
+done
+
+# Run the configurator?
+bash "$POL_USER_ROOT/configurations/configurators/$SHORTCUT_NAME1"
+
 exit 0

New source code

#!/bin/bash
# Date : (2014-08-19 18:32)
# Last Revision : (2014-11-16 22:01)
# Wine Version used : 1.6.2
# Distribution used to test : Debian testing/jessie
# Author: Hoshpak
#  - updated by petch
# Script license : GPL v2
# Programm license : Retail
# Depend :

[ -z "$PLAYONLINUX" ] && exit 0
source "$PLAYONLINUX/lib/sources"

GOGID="stronghold_crusader"
PREFIX="Stronghold_crusader_gog"
WORKING_WINE_VERSION="1.6.2"

TITLE="GOG.com - Stronghold Crusader HD"
SHORTCUT_NAME1="Stronghold Crusader HD"
SHORTCUT_NAME2="Stronghold Crusader Extreme HD"

POL_SetupWindow_Init
POL_SetupWindow_SetID 2231
POL_Debug_Init

POL_SetupWindow_presentation "$TITLE" "Firefly Studios" "http://www.gog.com/game/$GOGID" "Hoshpak" "$PREFIX"

POL_Call POL_GoG_setup "$GOGID" --alternate "setup_$GOGID" 1 "440291642e8e588cdb046c9f30878353"

POL_Wine_SelectPrefix "$PREFIX"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"

# fake sdbinst.exe
POL_Call POL_Install_nop "$WINEPREFIX/drive_c/windows/system32/sdbinst.exe"

POL_Call POL_GoG_install

# Needed for multiplayer
POL_Call POL_Install_directplay

Set_OS winxp

# Configure the shortcut
GOGPATH="$GOGROOT/Stronghold Crusader Extreme HD"
POL_Shortcut "Stronghold Crusader.exe" "$SHORTCUT_NAME1" "" "" "Game;StrategyGame;"
POL_Shortcut_Document "$SHORTCUT_NAME1" "$GOGPATH/manual/manual.pdf"
POL_Shortcut "Stronghold_Crusader_Extreme.exe" "$SHORTCUT_NAME2" "" "" "Game;StrategyGame;"
POL_Shortcut_Document "$SHORTCUT_NAME2" "$GOGPATH/manual/manual.pdf"

POL_SetupWindow_Close

for SHORTCUT in "$SHORTCUT_NAME1" "$SHORTCUT_NAME2"; do
cat <<_EOF_ > "$POL_USER_ROOT/configurations/configurators/$SHORTCUT"
#!/bin/bash
[ -z "\$PLAYONLINUX" ] && exit 0
source "\$PLAYONLINUX/lib/sources"
export WINEPREFIX="\$POL_USER_ROOT/wineprefix/$PREFIX"
export WINEDEBUG="-all"

POL_LoadVar_PROGRAMFILES
cd "\$WINEPREFIX/drive_c/GOG Games/Stronghold Crusader Extreme HD" || exit 1
TITLE="$TITLE"

POL_Wine "Language Setup.exe"

# Workaround, setup forgets to rename documentation files when French is selected
[ -e readme.html ] || ln -s readme_fr.html readme.html
[ -e manual/manual.pdf ] || ln -s manual_fr.pdf manual/manual.pdf

exit 0
_EOF_
done

# Run the configurator?
bash "$POL_USER_ROOT/configurations/configurators/$SHORTCUT_NAME1"

exit 0

Odpowiedzi

Edytowane przez petch

Hoshpak Tuesday 19 August 2014 at 22:10
Hoshpak Anonymous

Warning

This update has not been approved yet by the team.
Use it at your own risk

Differences

@@ -1,6 +1,6 @@
 #!/bin/bash
 # Date : (2014-08-19 18:32)
-# Last Revision : (2014-08-19 18:32)
+# Last Revision : (2014-08-19 22:07)
 # Wine Version used : 1.6.2
 # Distribution used to test : Debian testing/jessie
 # Author: Hoshpak
@@ -40,8 +40,8 @@
 
 # Configure the shortcut
 GOGPATH="$GOGROOT/Stronghold Crusader Extreme HD"
-POL_Shortcut "Stronghold Crusader.exe" "Stronghold Crusader HD" "Stronghold Crusader HD.png" "" "Game;StrategyGame;"
-POL_Shortcut "Stronghold_Crusader_Extreme.exe" "Stronghold Crusader Extreme HD" "Stronghold Crusader Extreme HD.png" "" "Game;StrategyGame;"
+POL_Shortcut "Stronghold Crusader.exe" "Stronghold Crusader HD" "" "" "Game;StrategyGame;"
+POL_Shortcut "Stronghold_Crusader_Extreme.exe" "Stronghold Crusader Extreme HD" "" "" "Game;StrategyGame;"
 POL_Shortcut_Document "Stronghold Crusader Extreme HD" "$GOGPATH/manual/manual_$MAN_LANG.pdf"
 
 POL_SetupWindow_Close

New source code

#!/bin/bash
# Date : (2014-08-19 18:32)
# Last Revision : (2014-08-19 22:07)
# Wine Version used : 1.6.2
# Distribution used to test : Debian testing/jessie
# Author: Hoshpak
# Script license : GPL v2
# Programm license : Retail
# Depend :

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"

GOGID="stronghold_crusader"
PREFIX="Stronghold_crusader_gog"
WORKING_WINE_VERSION="1.6.2"

TITLE="GOG.com - Stronghold Crusader HD"

POL_SetupWindow_Init
POL_Debug_Init

POL_SetupWindow_presentation "$TITLE" "Firefly Studios" "http://www.gog.com/game/$GOGID" "Hoshpak" "$PREFIX"

POL_Call POL_GoG_setup "$GOGID"

POL_Wine_SelectPrefix "$PREFIX"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"

POL_Call POL_GoG_install

# Needed for multiplayer
POL_Call POL_Install_directplay

Set_OS winxp

# Language selection for the manual shortcut
POL_SetupWindow_menu "$(eval_gettext 'What is your preferred language?')" "$(eval_gettext 'Language')" "en: English~fr: French~de: German~it: Italian~es: Spanish~pl: Polish" "~"
MAN_LANG=$(echo "${APP_ANSWER}" | cut -d ':' -f 1)

# Configure the shortcut
GOGPATH="$GOGROOT/Stronghold Crusader Extreme HD"
POL_Shortcut "Stronghold Crusader.exe" "Stronghold Crusader HD" "" "" "Game;StrategyGame;"
POL_Shortcut "Stronghold_Crusader_Extreme.exe" "Stronghold Crusader Extreme HD" "" "" "Game;StrategyGame;"
POL_Shortcut_Document "Stronghold Crusader Extreme HD" "$GOGPATH/manual/manual_$MAN_LANG.pdf"

POL_SetupWindow_Close
exit 0

Odpowiedzi

Hoshpak Tuesday 19 August 2014 at 19:39
Hoshpak Anonymous

Warning

This update has not been approved yet by the team.
Use it at your own risk

Differences

@@ -0,0 +1,48 @@
+#!/bin/bash
+# Date : (2014-08-19 18:32)
+# Last Revision : (2014-08-19 18:32)
+# Wine Version used : 1.6.2
+# Distribution used to test : Debian testing/jessie
+# Author: Hoshpak
+# Script license : GPL v2
+# Programm license : Retail
+# Depend :
+
+[ "$PLAYONLINUX" = "" ] && exit 0
+source "$PLAYONLINUX/lib/sources"
+
+GOGID="stronghold_crusader"
+PREFIX="Stronghold_crusader_gog"
+WORKING_WINE_VERSION="1.6.2"
+
+TITLE="GOG.com - Stronghold Crusader HD"
+
+POL_SetupWindow_Init
+POL_Debug_Init
+
+POL_SetupWindow_presentation "$TITLE" "Firefly Studios" "http://www.gog.com/game/$GOGID" "Hoshpak" "$PREFIX"
+
+POL_Call POL_GoG_setup "$GOGID"
+
+POL_Wine_SelectPrefix "$PREFIX"
+POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
+
+POL_Call POL_GoG_install
+
+# Needed for multiplayer
+POL_Call POL_Install_directplay
+
+Set_OS winxp
+
+# Language selection for the manual shortcut
+POL_SetupWindow_menu "$(eval_gettext 'What is your preferred language?')" "$(eval_gettext 'Language')" "en: English~fr: French~de: German~it: Italian~es: Spanish~pl: Polish" "~"
+MAN_LANG=$(echo "${APP_ANSWER}" | cut -d ':' -f 1)
+
+# Configure the shortcut
+GOGPATH="$GOGROOT/Stronghold Crusader Extreme HD"
+POL_Shortcut "Stronghold Crusader.exe" "Stronghold Crusader HD" "Stronghold Crusader HD.png" "" "Game;StrategyGame;"
+POL_Shortcut "Stronghold_Crusader_Extreme.exe" "Stronghold Crusader Extreme HD" "Stronghold Crusader Extreme HD.png" "" "Game;StrategyGame;"
+POL_Shortcut_Document "Stronghold Crusader Extreme HD" "$GOGPATH/manual/manual_$MAN_LANG.pdf"
+
+POL_SetupWindow_Close
+exit 0

New source code

#!/bin/bash
# Date : (2014-08-19 18:32)
# Last Revision : (2014-08-19 18:32)
# Wine Version used : 1.6.2
# Distribution used to test : Debian testing/jessie
# Author: Hoshpak
# Script license : GPL v2
# Programm license : Retail
# Depend :

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"

GOGID="stronghold_crusader"
PREFIX="Stronghold_crusader_gog"
WORKING_WINE_VERSION="1.6.2"

TITLE="GOG.com - Stronghold Crusader HD"

POL_SetupWindow_Init
POL_Debug_Init

POL_SetupWindow_presentation "$TITLE" "Firefly Studios" "http://www.gog.com/game/$GOGID" "Hoshpak" "$PREFIX"

POL_Call POL_GoG_setup "$GOGID"

POL_Wine_SelectPrefix "$PREFIX"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"

POL_Call POL_GoG_install

# Needed for multiplayer
POL_Call POL_Install_directplay

Set_OS winxp

# Language selection for the manual shortcut
POL_SetupWindow_menu "$(eval_gettext 'What is your preferred language?')" "$(eval_gettext 'Language')" "en: English~fr: French~de: German~it: Italian~es: Spanish~pl: Polish" "~"
MAN_LANG=$(echo "${APP_ANSWER}" | cut -d ':' -f 1)

# Configure the shortcut
GOGPATH="$GOGROOT/Stronghold Crusader Extreme HD"
POL_Shortcut "Stronghold Crusader.exe" "Stronghold Crusader HD" "Stronghold Crusader HD.png" "" "Game;StrategyGame;"
POL_Shortcut "Stronghold_Crusader_Extreme.exe" "Stronghold Crusader Extreme HD" "Stronghold Crusader Extreme HD.png" "" "Game;StrategyGame;"
POL_Shortcut_Document "Stronghold Crusader Extreme HD" "$GOGPATH/manual/manual_$MAN_LANG.pdf"

POL_SetupWindow_Close
exit 0

Odpowiedzi